#!/usr/bin/python3
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--known-mpi-shared-libraries=1',
    '--prefix=/usr',
    '--with-avx512-kernels=0',
    '--with-blaslapack=1',
    '--with-boost=1',
    '--with-cgns=0',
    '--with-eigen=1',
    '--with-fc=mpif90 -I/usr/include',
    '--with-fftw=1',
    '--with-gmp=1',
    '--with-hdf5=1',
    '--with-hwloc=1',
    '--with-libjpeg=1',
    '--with-mpfr=1',
    '--with-mpi=1',
    '--with-muparser=1',
    '--with-netcdf=1',
    '--with-opencl=1',
    '--with-openmp=1',
    '--with-ptscotch-dir=/usr/lib64/mpi/gcc/openmpi',
    '--with-ptscotch=1',
    '--with-python-exec=/usr/bin/python3',
    '--with-suitesparse=0',
    '--with-superlu-include=/usr/include/superlu',
    '--with-superlu-lib=-lsuperlu',
    '--with-superlu=1',
    '--with-valgrind=1',
    '--with-yaml=1',
    '--with-zlib',
    '--with-zstd=1',
    'PETSC_ARCH=arch-linux-c-debug',
  ]
  configure.petsc_configure(configure_options)
